#!/usr/bin/env ts-node
"use strict";
var yargs = require("yargs");
var index_1 = require("../src/commands/run/index");
var argv = yargs
    .option("script", {
    alias: "s",
    description: "The json script to run on each Lambda",
    type: "string",
    required: true
})
    .option("payloadCsv", {
    alias: "p",
    description: "A csv file with payload of data to be used in the script."
})
    .option("lambdaCount", {
    alias: "n",
    description: "The number of Lambda's to run in parallel",
    type: "number",
    'default': 1
})
    .option("config", {
    alias: "c",
    description: "Filename of the config generated by './bin/config.ts'",
    type: "string",
    'default': "./config.json"
})
    .option("intermediates", {
    alias: "i",
    description: "Display intermediate results reported back from the Lambdas",
    type: "string",
    'default': false
})
    .argv;
index_1.handler(argv);
